
/// A point on a manifold
pub trait ManifoldPoint : Clone + PartialEq {
    // Type of tangent factors
    type Tangent;

    /// Exponential map
    fn exp(&self, tangent : &Self::Tangent) -> Self;

    /// Logarithmic map
    fn log(&self, other : &Self) -> Self::Tangent;
}
